## iraf 2.16.1%2B2018.03.10

=== Makefile ===
#
#  Makefile for the IRAF source tree.
#
# ---------------------------------------------------------------------------

# Compiler Flags.

RELEASE		= v2.16
CFLAGS 		=
CDEBUGFLAGS 	= -O2 -Wall
BOOTSTRAPCFLAGS = 
        
CC 		= gcc 
AS 		= gcc -c -x assembler
AR 		= ar clq
CP 		= cp -p

export  iraf     = $(shell pwd)/

all:: update

# Do a full sysgen.
sysgen::
	@echo "Building the IRAF $(RELEASE) software tree"
	@echo "" ; date ; echo ""
	(util/mksysgen)
	@echo "" ; date ; echo ""

# Update (compile) recent changes.
update::
	@echo "Updating the IRAF $(RELEASE) software tree"
	@echo "" ; date ; echo ""
	(util/mkup)
	@echo "" ; date ; echo ""

# Update (compile) with debug libraries.
updatex::
	@echo "Updating the IRAF $(RELEASE) software tree"
	@echo "" ; date ; echo ""
	(util/mkupx)
	@echo "" ; date ; echo ""

# Update with cumulative patch of entire system
latest::
	@echo "Updating IRAF $(RELEASE) to latest release."
	@echo "" ; date ; echo ""
	(util/self_update)
	(util/iraf_update -all 2>&1 | egrep -v "unexpected end of file")
	@echo "" ; date ; echo ""

# Check if system is the latest distributed version
check_latest::
	(util/iraf_update -list)

# Update with cumulative patch of core system
latest_src::
	@echo "Updating IRAF $(RELEASE) to latest source release."
	@echo "" ; date ; echo ""
	(util/iraf_update -src)
	@echo "" ; date ; echo ""

# Update with cumulative patch of core system
latest_core::
	@echo "Updating IRAF $(RELEASE) to core release."
	@echo "" ; date ; echo ""
	(util/iraf_update -core)
	@echo "" ; date ; echo ""


# Update recent changes from the repository.
self_update::
	(util/self_update)




# Clean the IRAF tree of all binaries.
src::
	(util/mksrc)
pristine::
	(util/mksrc)

# Clean the IRAF tree of binaries for the currently configured arch.
clean::
	(util/mkclean)

# Make only the NOAO package.
noao::
	(cd noao ; mkpkg -p noao)

# Summarize the spool files.
summary::
	(mkpkg summary)
	(chdir noao   ; mkpkg -p noao   summary)




# ----------------------------------------------------------------------
# architectures
# ----------------------------------------------------------------------
showarch::
	(mkpkg arch)
generic::
	(util/mkarch generic)

macosx::
	(util/mkarch macosx)
macintel::
	(util/mkarch macintel)
redhat::
	(util/mkarch redhat)
linux::
	(util/mkarch linux)
linux64::
	(util/mkarch linux64)
freebsd::
	(util/mkarch freebsd)
cygwin::
	(util/mkarch cygwin)
sunos::
	(util/mkarch sunos)
sparc::
	(util/mkarch sparc)
ssun::
	(util/mkarch ssun)



# ----------------------------------------------------------------------
# common rules for all Makefiles - do not edit

.c.i:
	$(RM) $@
	$(CC) -E $(CFLAGS) $(_NOOP_) $*.c > $@

.SUFFIXES: .s

.c.s:
	$(RM) $@
	$(CC) -S $(CFLAGS) $(_NOOP_) $*.c

emptyrule::

cleandir::
	(util/mksrc)

distclean:: cleandir

# ----------------------------------------------------------------------
# dependencies generated by makedepend

=== vendor/libvotable/Makefile ===
#///////////////////////////////////////////////////////////////////////////////
#//
#//  Makefile for the VOTable Interface
#//
#///////////////////////////////////////////////////////////////////////////////

# primary dependencies

NAME       	 = VOTable
VERSION    	 = 1.1
LIBDIR    	:= ../../bin/
INCDIR    	:= ../../include/


# secondary dependencies

LIBBASE		= lib$(NAME)
STATICLIB 	= $(LIBDIR)/$(LIBBASE).a
SHAREDLIB 	= $(LIBDIR)/$(LIBBASE).so.$(VERSION)


# includes, flags and libraries
CC 	  	= gcc
CINCS  	  	= -I$(INCDIR)  -I. -I../../include

CFLAGS 		= -g -Wall $(CARCH) $(CINCS) -L./ -DHAVE_CFITSIO
CLIBS		= -lm -lc -lpthread 				-lcfitsio



# list of source and include files
SRCS 		= votParse.c votParse_f77.c votParse_spp.c \
		  votExpatCB.c votElement.c votAttr.c votStack.c votHandle.c
OBJS 		= votParse.o votParse_f77.o votParse_spp.o \
		  votExpatCB.o votElement.o votAttr.o votStack.o votHandle.o
INCS 		= votParse.h

SPP_SRCS	= votUtil_spp.x
SPP_OBJS	= votUtil_spp.o
SPP_INCS 	= votParse_spp.h

INCS_PRIV	= votParseP.h
LIBS		= lib$(NAME).a


all:	lib apps install

World:	lib apps install

install: lib apps
	cp $(LIBS) $(LIBDIR)
	cp $(INCS) $(SPP_INCS) $(INCDIR)

objs:	$(OBJS) $(SPP_OBJS)

clean:
	/bin/rm -f *.o *.a *.e *.so __*
	/bin/rm -f SWIG* libvot* php_libvot.h
	/bin/rm -f votParseJava.[co]
	/bin/rm -f votParsePerl.[co]
	/bin/rm -f votParsePython.[co]
	/bin/rm -f votParseTcl.[co]
	/bin/rm -f votParsePhp.[co]
	/bin/rm -f votParseCSharp.[co]
	/bin/rm -f votParseRuby.[co]



####################################
#  LIBVOTABLE Apps
####################################

apps:



####################################
#  LIBVOTABLE dependency libraries.
####################################

lib: objs
	ar rv lib$(NAME).a $(OBJS) $(SPP_OBJS)
	rm -f $(OBJS) $(SPP_OBJS)


###############################################################################
#  SPP Utility procedures
###############################################################################

votUtil_spp.o: votUtil_spp.x votParse_spp.h
	(xc -c votUtil_spp.x)


###############################################################################
#  SWIG Wrapper code generation
###############################################################################

wrap_code: tcl_wrap py_wrap perl_wrap java_wrap # php_wrap ruby_wrap mono_wrap


tcl_wrap:  votParse.i
	(swig -tcl    -o votParseTcl.c    votParse.i     )
	make tcl_lib

py_wrap:  votParse.i
	(swig -python -o votParsePython.c votParse.i     )
	make python_lib

perl_wrap:  votParse.i
	(swig -perl   -o votParsePerl.c   votParse.i     )
	make perl_lib

java_wrap:  votParse.i
	(swig -java   -o votParseJava.c   votParse.i     )
	make java_lib

php_wrap:  votParse.i
	(swig -php    -o votParsePhp.c    votParse.i     )
	make php_lib

ruby_wrap:  votParse.i
	(swig -ruby   -o votParseRuby.c   votParse.i     )
	#make ruby_lib

mono_wrap:  votParse.i
	(swig -csharp -o votParseCSharp.c votParse.i     )
	#make mono_lib



##############################################################################
#
#  SWIG Wrapper share library builds -- highly platform dependent!!
#
##############################################################################

wrap_libs: wrap_code tcl_lib python_lib perl_lib java_lib 

tcl_lib:  votParse.i
	$(CC) -fPIC -c $(SRCS) votParseTcl.c
	$(CC) -shared $(OBJS) votParseTcl.o -o lib$(NAME).so
	$(RM) votParse_wrap.*


PY_INCS = -I.   -I/usr/include/python2.2 -I/usr/include/python2.3 \
                -I/usr/include/python2.4 -I/usr/include/python2.5

python_lib:  votParse.i
	$(CC) -w -c $(PY_INCS) $(SRCS) votParsePython.c
	ld -shared $(OBJS) votParsePython.o -o _lib$(NAME).so
	$(RM) votParse_wrap.*

perl_lib:  votParse.i
	gcc -c $(SRCS) votParsePerl.c `perl -MExtUtils::Embed -e ccopts`
	ld -G $(OBJS) -o lib$(NAME).so
	$(RM) votParse_wrap.*


JWRAP_FLAGS 	= -I/usr/java/j2sdk/include/ -I/usr/java/j2sdk/include/linux

java_lib:  votParse.i
	gcc -fpic -c $(WRAP_SRCS) votParseJava.c $(JWRAP_FLAGS)
	gcc -shared $(WRAP_OBJS) votParseJava.o -o lib$(NAME).so
	$(RM) votParse_wrap.*



PHP_INCS = -I. -I/usr/include/php -I/usr/local/include/php \
	   -I/usr/local/php -I/usr/include/php/Zend \
	   -I/usr/local/include/php/Zend

php_lib:   votParse.i
	gcc -fpic -c $(PHP_INCS) $(WRAP_SRCS) votParsePhp.c
	gcc -shared $(WRAP_OBJS) votParsePhp.o -o lib$(NAME).so
	$(RM) votParse_wrap.*





###############################################################################
# Leave this stuff alone.
###############################################################################

$(STATICLIB): $(SRCS:%.c=Static/%.o)
	/usr/bin/ar rv $@ $?
Static/%.o: %.c $(INCS)
	/usr/bin/gcc $(CINCS) $(CFLAGS) -c $< -o $@
Static/%.o: %.x $(SPP_INCS)
	(xc -c $< -o $@)
Static:
	/bin/mkdir $@
	chmod 777 $@

$(SHAREDLIB): $(SRCS:%.c=Shared/%.o)
	/usr/bin/ld -shared -o $@ $? -lc -ldl
Shared/%.o: %.c $(INCS)
	/usr/bin/gcc $(CINCS) $(CFLAGS) -fpic -shared -c $< -o $@
Shared:
	/bin/mkdir $@
	chmod 777 $@

## iraf 2.16.1+2018.03.10

=== vendor/Makefile ===
#///////////////////////////////////////////////////////////////////////////////
#//
#//  Makefile for the Vendor Libraries
#//
#///////////////////////////////////////////////////////////////////////////////

# primary dependencies

NAME       	 = vendor
VERSION    	 = 1.0
PLATFORM  	:= $(shell uname -s)
PLMACH  	:= $(shell uname -m)
HERE      	:= $(shell /bin/pwd)
BINDIR    	:= ../bin/
LIBDIR    	:= ../lib/
INCDIR    	:= ../lib/


# includes, flags and libraries
CC 	  	= gcc
CINCS  	  	= -I$(INCDIR) -I./
ifeq  ($(PLATFORM), "Darwin")
    ifeq  ($(IRAFARCH), "macintel")
        CARCH	= -m64
    else
        CARCH	= -m32
    endif
else
    ifdef IRAFARCH
        ifeq ($(IRAFARCH),linux)
            CARCH = -m32
        endif
    endif
endif

CFLAGS 		= -g -Wall $(CARCH) -D$(PLATFORM) $(CINCS) -L./
LIBS		= -lm -lc -lpthread


all:
	./mklibs

libs:

install:
	(cd cfitsio   ; make install)
	(cd libvotable  ; make install)

clean:
	(cd cfitsio   ; make clean)
	(cd libvotable  ; make clean)


cfitsio:
	(cd cfitsio   ; ./configure --libdir=../../bin CFLAGS="$CARCH" ; make ; make install)

libvotable:
	(cd libvotable  ; make World)


###############################################################################
# Leave this stuff alone.
###############################################################################

$(STATICLIB): $(SRCS:%.c=Static/%.o)
	/usr/bin/ar rv $@ $?
Static/%.o: %.c $(INCS)
	/usr/bin/gcc $(CINCS) $(CFLAGS) -c $< -o $@
Static:
	/bin/mkdir $@
	chmod 777 $@

$(SHAREDLIB): $(SRCS:%.c=Shared/%.o)
	/usr/bin/ld -shared -o $@ $? -lc -ldl
Shared/%.o: %.c $(INCS)
	/usr/bin/gcc $(CINCS) $(CFLAGS) -fpic -shared -c $< -o $@
Shared:
	/bin/mkdir $@
	chmod 777 $@

=== debian/changelog ===
iraf (2.16.1+2018.03.10-2) unstable; urgency=low

  * Add flex as build dependency
  * Use O_RDONLY in open() calls to fix FTBFS on GNU HURD

 -- Ole Streicher <olebole@debian.org>  Wed, 14 Mar 2018 10:02:35 +0100

iraf (2.16.1+2018.03.10-1) unstable; urgency=low

  * New upstream version 2.16.1+2018.03.10. Rediff patches
  * Update d/copyright for new cfitsio
  * Don't call testproc on "nocheck"
  * Set defaults for zgtenv
  * Push compat to 11

 -- Ole Streicher <olebole@debian.org>  Tue, 13 Mar 2018 12:10:54 +0100

iraf (2.16.1+2018.02.04-4) unstable; urgency=low

  * Fix login.cl on non-terminal inputs
  * Fix initialization of partially initialized ~/.iraf

 -- Ole Streicher <olebole@debian.org>  Mon, 26 Feb 2018 15:42:33 +0100

iraf (2.16.1+2018.02.04-3) unstable; urgency=low

  * Fix extern.pkg link

 -- Ole Streicher <olebole@debian.org>  Thu, 08 Feb 2018 16:03:35 +0100

iraf (2.16.1+2018.02.04-2) unstable; urgency=low

  * Add mips64el to d/control Architecture flag

 -- Ole Streicher <olebole@debian.org>  Thu, 08 Feb 2018 13:41:10 +0100

iraf (2.16.1+2018.02.04-1) unstable; urgency=low

  * Use tagged versions from github in d/watch
  * New upstream version 2.16.1+2018.02.04
  * Install extern.pkg in /etc/iraf/
  * Update VCS fields to use salsa.d.o
  * Add mips64el and ppc64el ports
  * Force the same version of all binary packages
  * Add saods9 as recommendation
  * Remove unavoidable gcc warnings when compiling spp and Fortran code

 -- Ole Streicher <olebole@debian.org>  Thu, 08 Feb 2018 09:27:59 +0100

iraf (2.16.1+2017.12.28-2) unstable; urgency=medium

  * Add arm64 port

 -- Ole Streicher <olebole@debian.org>  Tue, 02 Jan 2018 09:00:45 +0100

iraf (2.16.1+2017.12.28-1) unstable; urgency=medium

  * Fix CI test dir
  * Fix recommendatation for iraf graphics
  * Add MIPS port (32 bit little endian)
  * New upstream version 2.16.1+2017.12.28. Rediff patches
  * Push Standards-Version to 4.1.3 (no changes)

 -- Ole Streicher <olebole@debian.org>  Mon, 01 Jan 2018 14:40:09 +0100

iraf (2.16.1+2017.12.14-1) unstable; urgency=low

  * New upstream release. Switch to github upstream (oleboles fork).
  * Complete packaging restart from scratch. Closes: #690531

 -- Ole Streicher <olebole@debian.org>  Fri, 15 Dec 2017 09:09:28 +0100

iraf (2.11.3-2) unstable; urgency=high

  * Recompiled from source (finally).  This obsoletes iraf-common, as iraf
    now replaces (and provides) it.  This process has resulted in massive
    source cleanups that are still ongoing.
  * The iraf-ibin and iraf-noaobin packages are still going to be in
    binary format for a while, as I'm working out a compilation bug, but
    at least this is a start.
  * Top level /iraf symlink has been removed.  I think I found all of the
    references to it, at least, so if I missed one and it crashes
    suddenly, file a bug.
  * Postinst configuration has now been replaced by debconf.  DO NOT
    ATTEMPT TO USE THE OLD CONFIGURATION SCRIPT WITH THIS PACKAGE.  It
    *will* horribly break things.
  * If you want to compile this yourself, you will need iraf-dev now,
    which is made from the same source package.
  * Added a note to the README.Debian about the bootstrapping process and
    the circular Build-Depends.
  * Section: is now contrib/graphics, since contrib/science doesn't exist
    yet after all.
  * Man pages for all commands in path! (closes: #22318)

 -- Zed Pobre <zed@debian.org>  Thu,  9 Mar 2000 13:17:39 -0600

iraf (2.11.3-1) frozen unstable; urgency=high

  * Upstream bugfix which fixes the Y2K related String_File errors that
    have been crippling the program.  I am still using the upstream
    binaries and have attempted to make only minimal changes to the
    packaging.  (closes: grave bug#54896)
  * Added the beginners guide, command language documentation and
    preliminary test procedure documentation.
  * Fixed a missing #DEBHELPER# in the postinst and postrm
  * Standards-Version 3.1.1

 -- Zed Pobre <zed@debian.org>  Fri, 14 Jan 2000 21:38:16 -0600

iraf (2.11.1-3) unstable; urgency=low

  * Fixed the short description slightly.

 -- Zed Pobre <zed@debian.org>  Thu, 10 Sep 1998 07:21:17 -0500

iraf (2.11.1-2) frozen unstable; urgency=medium

  * Bumped standards version to 2.4.1.0
  * Updated the postinst so that it forces the final-phase
    configuration script to look for (and attempt to place) the
    program symlinks in /usr/bin, rather than asking the user for a
    location (and defaulting to /usr/local/bin if you just press
    return).  It won't actually put them there because I've now
    hardwired the symlinks into the package itself to prevent
    aggravation of the namespace pollution problem that I haven't been
    able to fix (see the README.Debian file).
    Still, this closes Bug#21163.
  * Placed some notes in the README.Debian about possible problems
  * Filed a bug against the package (#22318) about the lack of manpages
    for the user-executable commands created via symlink in the last
    stage and created manpages for all of them symlinked to
    undocumented.7.gz.

 -- Zed Pobre <zed@debian.org>  Wed,  6 May 1998 01:38:26 -0500

iraf (2.11.1-1) unstable; urgency=low

  * Initial Release.

 -- Zed Pobre <zed@debian.org>  Tue, 10 Mar 1998 12:43:27 -0600

=== debian/control ===
Source: iraf
Build-Depends: debhelper (>= 11),
               dh-exec,
               flex,
               libcfitsio-dev,
               libcurl4-gnutls-dev,
               libexpat1-dev,
               libncurses5-dev,
               libreadline-dev
Section: science
Priority: optional
Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Standards-Version: 4.1.3
Homepage: http://iraf.noao.edu
Vcs-Browser: https://salsa.debian.org/debian-astro-team/iraf
Vcs-Git: https://salsa.debian.org/debian-astro-team/iraf.git

Package: iraf
Architecture: arm64 armel armhf hurd-i386 linux-amd64 linux-i386 mips64el mipsel ppc64el
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: iraf-noao,
            python3-pyraf | x11iraf | xterm | python-pyraf,
            saods9 | x11iraf
Suggests: iraf-dev
Multi-Arch: foreign
Description: Image Reduction and Analysis Facility
 IRAF is the "Image Reduction and Analysis Facility". The main
 IRAF distribution includes a good selection of programs for
 general image processing and graphics.
 .
 Other external or layered packages are available for
 applications such as data acquisition or handling data from other
 observatories and wavelength regimes such as the Hubble Space
 Telescope (optical), EUVE (extreme ultra-violet), or ROSAT and
 AXAF (X-ray). These external packages are distributed separately
 from the main IRAF distribution but can be easily installed.
 The IRAF system also the programmable Command Language scripting
 facility.

Package: iraf-dev
Architecture: arm64 armel armhf hurd-i386 linux-amd64 linux-i386 mips64el mipsel ppc64el
Multi-Arch: no
Depends: gcc | c-compiler,
         iraf (= ${binary:Version}),
         libc6-dev,
         libcfitsio-dev,
         libcurl4-gnutls-dev,
         libexpat1-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: iraf-noao-dev
Description: Image Reduction and Analysis Facility (development files)
 IRAF is the "Image Reduction and Analysis Facility". The main
 IRAF distribution includes a good selection of programs for
 general image processing and graphics, plus a large number of
 programs for the reduction and analysis of optical and IR
 astronomy data.
 .
 This package contains the IMFORT Fortran/C programming interface, and
 the full SPP/VOS programming environment in which the portable IRAF
 system and all applications are written.

Package: iraf-noao
Architecture: arm64 armel armhf hurd-i386 linux-amd64 linux-i386 mips64el mipsel ppc64el
Depends: iraf (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: foreign
Description: IRAF NOAO data reduction package
 IRAF is the "Image Reduction and Analysis Facility". The main
 IRAF distribution includes a good selection of programs for
 general image processing and graphics, plus a large number of
 programs for the reduction and analysis of optical and IR
 astronomy data.
 .
 This file contains the NOAO packages for the reduction and analysis
 of Optical Astronomy data.

Package: iraf-noao-dev
Architecture: arm64 armel armhf hurd-i386 linux-amd64 linux-i386 mips64el mipsel ppc64el
Multi-Arch: no
Depends: iraf-dev (= ${binary:Version}),
         iraf-noao (= ${binary:Version}),
         ${misc:Depends}
Description: IRAF NOAO data reduction package (development files)
 IRAF is the "Image Reduction and Analysis Facility". The main
 IRAF distribution includes a good selection of programs for
 general image processing and graphics, plus a large number of
 programs for the reduction and analysis of optical and IR
 astronomy data.
 .
 This package contains additional libraries and headers used for
 compiling packages that extend the functionality of the iraf-noao
 package.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

export iraf=$(CURDIR)/
export host=$(iraf)unix/
BUILD_TMP=$(iraf)/irafbuild
export HOME=$(BUILD_TMP)
export IRAFARCH=$(shell ./unix/hlib/irafarch.sh)

override_dh_auto_configure:
	mkdir -p $(BUILD_TMP)
	sed "s/__VERSION__/$(DEB_VERSION)/" -i unix/hlib/zzsetenv.def
	sed "s/__DATE__/$(shell date -uRd @$(SOURCE_DATE_EPOCH))/" -i unix/hlib/zzsetenv.def
	./install -v --term xterm \
                  --bindir $(BUILD_TMP)/bin \
	          --cache $(BUILD_TMP)/cache \
                  --imdir $(BUILD_TMP)/imdir \
	          --root $(iraf) < /dev/null || true
	cp unix/f2c/libf2c/f2c.h include/
	$(MAKE) $(IRAFARCH)

override_dh_auto_build:
	bin=$(iraf)bin/ noaobin=$(iraf)/noao/bin/ $(MAKE) sysgen

override_dh_auto_install:
	for f in $(shell find . -name \*.hlp \
            -o -name \*.hd \
            -o -name \*.men \
            -o -name \*.cl \
            -o -name \*.par \
            -o -name \*.key \
            -o -name \*.def \
            -o -name \*.dat \
            -o -name \*.gui \
            -o -name \*.pkg \
            -o -name \*.mip \
            -o -name \*.fits \
	    -o -path ./dev/\* | \
	    cut -c3-) \
	    unix/hlib/motd* \
	    lib/syserrmsg lib/syshelpdir lib/scr/help.html ; do \
	  install -p -D -m 644 $$f debian/tmp/usr/lib/iraf/$$f ; \
	done
	mkdir -p debian/tmp/usr/lib/iraf/extern/
	> debian/tmp/usr/lib/iraf/extern/.zzsetenv.def
	mkdir -p debian/tmp/etc/iraf
	mv debian/tmp/usr/lib/iraf/unix/hlib/login.cl debian/tmp/etc/iraf/
	mv debian/tmp/usr/lib/iraf/unix/hlib/motd.etc debian/tmp/etc/iraf/motd
	mv debian/tmp/usr/lib/iraf/unix/hlib/extern.pkg debian/tmp/etc/iraf/
	mv debian/tmp/usr/lib/iraf/dev/irafhosts debian/tmp/etc/iraf/
	rm -f debian/tmp/usr/lib/iraf/dev/hosts debian/tmp/usr/lib/iraf/dev/uhosts
	rm -rf debian/tmp/usr/lib/iraf/unix/f2c
	echo '# HOSTS -- IRAF local network host table.' > debian/tmp/etc/iraf/hosts
	for f in unix/hlib/util.sh \
	         unix/hlib/mkiraf.sh unix/hlib/mkmlist.sh \
	         unix/hlib/irafarch.sh ; do \
	  install -p -D -m 755 $$f debian/tmp/usr/lib/iraf/$$f ; \
	done

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	PATH=$(BUILD_TMP)/.iraf/bin:$(PATH) tmp=/tmp/ ./test/run_tests
endif

override_dh_clean:
	make src
	dh_clean
	rm -rf $(BUILD_TMP)

=== debian/watch ===
version=3
#opts=dversionmangle=s/\+.+//,uversionmangle=s/(.)(.+)/$1.$2/ \
# http://iraf.noao.edu/ ftp://iraf.noao.edu/iraf/v(.+)/PCIX/iraf-src.tar.gz
opts=uversionmangle=s/-/+/,filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/iraf-$1\.tar\.gz/ \
  https://github.com/olebole/iraf-v216/tags .*/v?(\d\S+)\.tar\.gz

## iraf 2.16.1+2018.06.15

=== debian/changelog ===
iraf (2.16.1+2018.06.15-5) unstable; urgency=low

  * Write default iraf,host,tmp variables back to environment
  * Adjust Github URLs
  * Fix gnu/kfreebsd support
  * Fix variable declaration in noao/obsutil/src/findgain.cl

 -- Ole Streicher <olebole@debian.org>  Thu, 09 Aug 2018 17:09:16 +0200

iraf (2.16.1+2018.06.15-4) unstable; urgency=low

  * Move math and sys subdirs (doc) to iraf-dev
  * Support kfreeBSD
  * Backport votable data type patch from upstream

 -- Ole Streicher <olebole@debian.org>  Tue, 03 Jul 2018 21:22:00 +0200

iraf (2.16.1+2018.06.15-3) unstable; urgency=low

  * Directly run mkarch to fix HURD build failure

 -- Ole Streicher <olebole@debian.org>  Mon, 18 Jun 2018 14:04:54 +0200

iraf (2.16.1+2018.06.15-2) unstable; urgency=low

  * Add non-linux architectures (kfreebsd, hurd) to d/control

 -- Ole Streicher <olebole@debian.org>  Mon, 18 Jun 2018 12:54:42 +0200

iraf (2.16.1+2018.06.15-1) unstable; urgency=low

  * Update download location to iraf-community
  * New upstream version 2.16.1+2018.06.15. Rediff patches
  * Update list of supported architectures (x32)
  * Push Standards-Version to 4.1.4. No changes needed
  * Fix installed name of iraf icon. Replace xpm logo with SVG
  * irafcl: exit after -h (help) display
  * Use unversionized -dev packages for expat and ncurses

 -- Ole Streicher <olebole@debian.org>  Mon, 18 Jun 2018 10:44:58 +0200

=== debian/control ===
--- 
+++ 
@@ -3,21 +3,21 @@
                dh-exec,
                flex,
                libcfitsio-dev,
-               libcurl4-gnutls-dev,
-               libexpat1-dev,
-               libncurses5-dev,
+               libcurl4-openssl-dev,
+               libexpat-dev,
+               libncurses-dev,
                libreadline-dev
 Section: science
 Priority: optional
 Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Ole Streicher <olebole@debian.org>
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: http://iraf.noao.edu
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/iraf
 Vcs-Git: https://salsa.debian.org/debian-astro-team/iraf.git
 
 Package: iraf
-Architecture: arm64 armel armhf hurd-i386 linux-amd64 linux-i386 mips64el mipsel ppc64el
+Architecture: any-amd64 any-i386 arm64 armel armhf mips64el mipsel ppc64el x32
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: iraf-noao,
             python3-pyraf | x11iraf | xterm | python-pyraf,
@@ -39,7 +39,7 @@
  facility.
 
 Package: iraf-dev
-Architecture: arm64 armel armhf hurd-i386 linux-amd64 linux-i386 mips64el mipsel ppc64el
+Architecture: any-amd64 any-i386 arm64 armel armhf mips64el mipsel ppc64el x32
 Multi-Arch: no
 Depends: gcc | c-compiler,
          iraf (= ${binary:Version}),
@@ -62,7 +62,7 @@
  system and all applications are written.
 
 Package: iraf-noao
-Architecture: arm64 armel armhf hurd-i386 linux-amd64 linux-i386 mips64el mipsel ppc64el
+Architecture: any-amd64 any-i386 arm64 armel armhf mips64el mipsel ppc64el x32
 Depends: iraf (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: foreign
 Description: IRAF NOAO data reduction package
@@ -76,7 +76,7 @@
  of Optical Astronomy data.
 
 Package: iraf-noao-dev
-Architecture: arm64 armel armhf hurd-i386 linux-amd64 linux-i386 mips64el mipsel ppc64el
+Architecture: any-amd64 any-i386 arm64 armel armhf mips64el mipsel ppc64el x32
 Multi-Arch: no
 Depends: iraf-dev (= ${binary:Version}),
          iraf-noao (= ${binary:Version}),

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
                   --imdir $(BUILD_TMP)/imdir \
 	          --root $(iraf) < /dev/null || true
 	cp unix/f2c/libf2c/f2c.h include/
-	$(MAKE) $(IRAFARCH)
+	./util/mkarch $(IRAFARCH)
 
 override_dh_auto_build:
 	bin=$(iraf)bin/ noaobin=$(iraf)/noao/bin/ $(MAKE) sysgen

## iraf 2.16.1+2018.11.01

=== Makefile ===
--- 
+++ 
@@ -6,15 +6,8 @@
 # Compiler Flags.
 
 RELEASE		= v2.16
-CFLAGS 		=
-CDEBUGFLAGS 	= -O2 -Wall
-BOOTSTRAPCFLAGS = 
-        
-CC 		= gcc 
-AS 		= gcc -c -x assembler
-AR 		= ar clq
-CP 		= cp -p
-
+export CFLAGS	= -g -Wall -O2 $(CARCH)
+export LDFLAGS	= $(CARCH)
 export  iraf     = $(shell pwd)/
 
 all:: update

=== unix/boot/xyacc/Makefile ===
HLIB	= ../../hlib/
IRAFLIB	= ../../../lib/
VGRIND	= csh /usr/ucb/vgrind -W

head:	xyacc 
xyacc:	y1.o y2.o y3.o y4.o
	cc -o xyacc.e y?.o 

y1.o y2.o y3.o y4.o: dextern files

install:
	mv -f xyacc.e $(HLIB)
	cp    yaccpar.x $(IRAFLIB)

clean :
	rm -f *.o 

vgrind:
	cp /dev/null index
	$(VGRIND) -h 'Yacc' dextern files y1.c y2.c y3.c y4.c
	$(VGRIND) -h 'Yacc' -x index

=== vendor/libvotable/examples/Makefile ===
#///////////////////////////////////////////////////////////////////////////////
#//
#//  Makefile for the libVOTable example tasks.
#//
#///////////////////////////////////////////////////////////////////////////////

# primary dependencies

NAME       	= VOTable
VERSION    	= 1.0
PLATFORM       := $(shell uname -s)
#PLATFORM  	= LINUX
#PLATFORM  	= MACOSX
#PLATFORM  	= CYGWIN
HERE           := $(shell /bin/pwd)


# secondary dependencies

LIBBASE     = lib$(NAME)
STATICLIB   = $(HERE)/$(LIBBASE).a
SHAREDLIB   = $(HERE)/$(LIBBASE).so.$(VERSION)


# stuff that's precious to keep

.PRECIOUS:	$(STATICLIB) $(SHAREDLIB)
.KEEP_STATE:


# includes, flags and libraries
CC 	    = gcc
CINCS  	    = -I$(HERE) -I../ -I../include -L../ -L../../lib/ -L../
CFLAGS 	    = -g -Wall -D$(PLATFORM) $(CINCS)

#F77 	    = g77
F77 	    = gfortran -m64
FFLAGS 	    = -g -Wall



# list of source and include files

C_SRCS 	    = votconcat.c votcompress.c votdump.c votget.c \
		votinfo.c votcopy.c
C_OBJS 	    = votconcat.o votcompress.o votdump.o votget.o \
		votinfo.o votcopy.o
C_INCS 	    =  

F77_SRCS    = votpos_f77.f votdump_f77.f
F77_OBJS    = votpos_f77.o votdump_f77.o
F77_INCS    =  

SPP_SRCS    = votget_spp.x votinfo_spp.x
SPP_OBJS    = votget_spp.o votinfo_spp.o
SPP_INCS    = votParse_spp.h


LIBS 	    = -lVOTable -lcfitsio -lcurl -lm

SPP_TASKS   = votget_spp votinfo_spp
F77_TASKS   = votpos_f77 votdump_f77
C_TASKS	    = votcompress votcopy votdump votget votinfo votconcat votpos
	      
TARGETS	    = $(C_TASKS) # $(F77_TASKS) $(SPP_TASKS)


# Targets

all: c_progs

c_progs:    $(C_TASKS)
spp_progs:  $(SPP_TASKS)
f77_progs:  $(F77_TASKS)

clean:
	/bin/rm -rf .make.state .nse_depinfo *.[aeo] *.dSYM
	/bin/rm -rf $(TARGETS)

everything:
	make clean
	make all
	make install

help: HELP

install: all 



###############################################################################
# Unit test programs to be built.
###############################################################################

demo:	$(TARGETS)


###########################
#  C Test programs
###########################

zz:  zz.c
	$(CC) $(CFLAGS) -I/usr/local/include -o zz zz.c $(LIBS) -lcfitsio

zztest:  zztest.c
	$(CC) $(CFLAGS) -o zztest zztest.c $(LIBS)

votcompress:  votcompress.c
	$(CC) $(CFLAGS) -o votcompress votcompress.c $(LIBS)

votconcat:  votconcat.c
	$(CC) $(CFLAGS) -o votconcat votconcat.c $(LIBS)

votcopy:  votcopy.c
	$(CC) $(CFLAGS) -o votcopy votcopy.c $(LIBS)

votdump:  votdump.c
	$(CC) $(CFLAGS) -o votdump votdump.c $(LIBS)

votget:  votget.c
	$(CC) $(CFLAGS) -o votget votget.c $(LIBS) -lcurl

votinfo:  votinfo.c
	$(CC) $(CFLAGS) -o votinfo votinfo.c $(LIBS)

votpos:  votpos.c
	$(CC) $(CFLAGS) -o votpos votpos.c $(LIBS)



###########################
#  SPP Test programs
###########################

votget_spp:  votget_spp.x
	xc -/I../ -/L../ votget_spp.x -lVOTable

votinfo_spp:  votinfo_spp.x
	xc -/I../ -/L../ votinfo_spp.x -lVOTable



###########################
#  Fortran Test programs.
###########################

votpos_f77:  votpos_f77.f
	$(F77) $(FFLAGS) -o votpos_f77 votpos_f77.f ../libVOTable.a -lc

votdump_f77:  votdump_f77.f
	$(F77) $(FFLAGS) -o votdump_f77 votdump_f77.f -L../ -lVOTable -lm -lc




###############################################################################
# Leave this stuff alone.
###############################################################################

$(STATICLIB): $(C_SRCS:%.c=Static/%.o)
	/usr/bin/ar rv $@ $?
Static/%.o: %.c $(C_INCS)
	/usr/bin/gcc $(CINCS) $(CFLAGS) -c $< -o $@
Static:
	/bin/mkdir $@
	chmod 777 $@

$(SHAREDLIB): $(C_SRCS:%.c=Shared/%.o)
	/usr/bin/ld -shared -o $@ $? -lc -ldl
Shared/%.o: %.c $(C_INCS)
	/usr/bin/gcc $(CINCS) $(CFLAGS) -fpic -shared -c $< -o $@
Shared:
	/bin/mkdir $@
	chmod 777 $@

=== unix/boot/spp/rpp/ratlibr/Makefile ===
# Ratfor source for the ratfor library.  A TOOLS compatible ratfor compiler
# is required to compile this.  The original UNIX ratfor compiler may not do
# the job.

.r.f:
	/usr/local/bin/ratfor $*.r > $*.f

SRCS=	addset.r addstr.r amatch.r catsub.r clower.r concat.r ctoc.r\
	ctoi.r ctomn.r cupper.r delete.r docant.r dodash.r dsdbiu.r\
	dsdump.r dsfree.r dsget.r dsinit.r enter.r equal.r error.r\
	errsub.r esc.r fcopy.r filset.r fmtdat.r fold.r gctoi.r getc.r\
	getccl.r getpat.r getwrd.r gfnarg.r index.r insub.r\
	itoc.r length.r locate.r lookup.r lower.r makpat.r maksub.r\
	match.r mktabl.r mntoc.r omatch.r outsub.r patsiz.r prompt.r\
	putc.r putdec.r putint.r putstr.r query.r rmtabl.r scopy.r\
	sctabl.r sdrop.r skipbl.r slstr.r stake.r stclos.r stcopy.r\
	stlu.r strcmp.r strim.r termin.r trmout.r type.r upper.r wkday.r

FORT=	addset.f addstr.f amatch.f catsub.f clower.f concat.f ctoc.f\
	ctoi.f ctomn.f cupper.f delete.f docant.f dodash.f dsdbiu.f\
	dsdump.f dsfree.f dsget.f dsinit.f enter.f equal.f error.f\
	errsub.f esc.f fcopy.f filset.f fmtdat.f fold.f gctoi.f getc.f\
	getccl.f getpat.f getwrd.f gfnarg.f index.f insub.f\
	itoc.f length.f locate.f lookup.f lower.f makpat.f maksub.f\
	match.f mktabl.f mntoc.f omatch.f outsub.f patsiz.f prompt.f\
	putc.f putdec.f putint.f putstr.f query.f rmtabl.f scopy.f\
	sctabl.f sdrop.f skipbl.f slstr.f stake.f stclos.f stcopy.f\
	stlu.f strcmp.f strim.f termin.f trmout.f type.f upper.f wkday.f

fort:	$(SRCS) defs
	make fsrc; mv *.f ../ratlibf; touch fort

fsrc:	$(FORT)

=== unix/boot/spp/rpp/rpprat/Makefile ===
# Ratfor source for the SPP preprocessor.  A TOOLS compatible ratfor compiler
# is required to compile this.  The original UNIX ratfor compiler may not do
# the job.

.r.f:
	/usr/local/bin/ratfor $*.r > $*.f

SRCS=	addchr.r allblk.r alldig.r baderr.r balpar.r beginc.r brknxt.r\
	cascod.r caslab.r declco.r deftok.r doarth.r docode.r doif.r\
	doincr.r domac.r dostat.r dosub.r eatup.r elseif.r endcod.r\
	entdef.r entdkw.r entfkw.r entrkw.r entxkw.r errchk.r errgo.r\
	errorc.r evalr.r finit.r forcod.r fors.r getdef.r gettok.r\
	gnbtok.r gocode.r gtok.r ifcode.r iferrc.r ifgo.r ifparm.r\
	indent.r initkw.r labelc.r labgen.r lex.r litral.r lndict.r\
	ludef.r mapid.r ngetch.r ogotos.r otherc.r outch.r outcon.r\
	outdon.r outdwe.r outgo.r outnum.r outstr.r outtab.r parse.r\
	pbnum.r pbstr.r poicod.r push.r putbak.r putchr.r puttok.r\
	ratfor.r relate.r repcod.r retcod.r sdupl.r skpblk.r squash.r\
	strdcl.r swcode.r swend.r swvar.r synerr.r thenco.r ulstal.r\
	uniqid.r unstak.r untils.r whilec.r whiles.r

FORT=	addchr.f allblk.f alldig.f baderr.f balpar.f beginc.f brknxt.f\
	cascod.f caslab.f declco.f deftok.f doarth.f docode.f doif.f\
	doincr.f domac.f dostat.f dosub.f eatup.f elseif.f endcod.f\
	entdef.f entdkw.f entfkw.f entrkw.f entxkw.f errchk.f errgo.f\
	errorc.f evalr.f finit.f forcod.f fors.f getdef.f gettok.f\
	gnbtok.f gocode.f gtok.f ifcode.f iferrc.f ifgo.f ifparm.f\
	indent.f initkw.f labelc.f labgen.f lex.f litral.f lndict.f\
	ludef.f mapid.f ngetch.f ogotos.f otherc.f outch.f outcon.f\
	outdon.f outdwe.f outgo.f outnum.f outstr.f outtab.f parse.f\
	pbnum.f pbstr.f poicod.f push.f putbak.f putchr.f puttok.f\
	ratfor.f relate.f repcod.f retcod.f sdupl.f skpblk.f squash.f\
	strdcl.f swcode.f swend.f swvar.f synerr.f thenco.f ulstal.f\
	uniqid.f unstak.f untils.f whilec.f whiles.f

# NOTE -- After regenerating the fortran CASLAB.F, comment out the unreachable
# goto on line 32, generated due to a bug in the ratfor.

fort:	$(SRCS) common defs
	make fsrc; mv *.f ../rppfor; touch fort
	(cd ../rppfor; sed -e 's/      goto 23012/c     goto 23012/'\
	< caslab.f > temp; mv temp caslab.f)

fsrc:	$(FORT)

=== debian/changelog ===
iraf (2.16.1+2018.11.01-6) unstable; urgency=medium

  * Fix setjmp symbol on i386

 -- Ole Streicher <olebole@debian.org>  Thu, 23 Jul 2020 21:09:33 +0200

iraf (2.16.1+2018.11.01-5) unstable; urgency=medium

  * Fix missing option space in F77 cflags
  * Add x11iraf packages as Recommends for iraf
  * Fix multiple definitions of Fortran symbols

 -- Ole Streicher <olebole@debian.org>  Thu, 23 Jul 2020 15:51:35 +0200

iraf (2.16.1+2018.11.01-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in debian/watch.
  * Set upstream metadata fields: Bug-Submit, Repository-Browse.
  * Remove obsolete field Name from debian/upstream/metadata.

  [ Ole Streicher ]
  * Drop c-compiler alternative dep for iraf-dev (Closes: #960212)
  * Push Standards-Version to 4.5.0. No changes needed
  * Push dh compat to 13. Fix non-installed packages
  * Fix license short name for BSD-3-Clause
  * Fix minor dependency glitches in d/control

 -- Ole Streicher <olebole@debian.org>  Mon, 11 May 2020 20:18:07 +0200

iraf (2.16.1+2018.11.01-3) unstable; urgency=low

  * Add gitlab CI file
  * Push compat to 12. Remove d/compat
  * Ensure reproducible build
  * Remove (optional) Python recommends. (Closes: #945685)
  * Push Standards-Version to 4.1.1. No changes needed

 -- Ole Streicher <olebole@debian.org>  Thu, 28 Nov 2019 09:06:34 +0100

iraf (2.16.1+2018.11.01-2) unstable; urgency=low

  * Rebuild graphcap/termcap caches and helpdb during build
  * Add alpha support

 -- Ole Streicher <olebole@debian.org>  Wed, 06 Feb 2019 11:28:59 +0100

iraf (2.16.1+2018.11.01-1) unstable; urgency=low

  * Change homepage to IRAF community
  * New upstream version 2.16.1+2018.11.01. Rediff patches.
  * Push Standards-Version to 4.2.1. No changes needed.

 -- Ole Streicher <olebole@debian.org>  Sat, 10 Nov 2018 19:33:39 +0100

iraf (2.16.1+2018.06.15-8) unstable; urgency=low

  * Add riscv64 arch to *all* packages

 -- Ole Streicher <olebole@debian.org>  Sun, 21 Oct 2018 23:23:53 +0200

iraf (2.16.1+2018.06.15-7) unstable; urgency=medium

  * Fix riscv64 arch name

 -- Ole Streicher <olebole@debian.org>  Sun, 21 Oct 2018 23:17:16 +0200

iraf (2.16.1+2018.06.15-6) unstable; urgency=low

  * Fix defterm, imdif and cachedir in mkiraf.sh
  * Fix  `-x` option description in irafcl.man
  * Adjust order of graphics output: xterm first
  * Unconditionally use /usr/lib/iraf/ as default iraf dir
  * Add riscv64 support to zsvjmp.S
  * Fix sigsetjmp symbol for kfreebsd64

 -- Ole Streicher <olebole@debian.org>  Sun, 21 Oct 2018 21:20:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,28 @@
 Source: iraf
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 13),
                dh-exec,
                flex,
                libcfitsio-dev,
                libcurl4-openssl-dev,
-               libexpat-dev,
+               libexpat1-dev,
                libncurses-dev,
                libreadline-dev
 Section: science
 Priority: optional
 Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Ole Streicher <olebole@debian.org>
-Standards-Version: 4.1.4
-Homepage: http://iraf.noao.edu
+Standards-Version: 4.5.0
+Homepage: https://iraf-community.github.io
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/iraf
 Vcs-Git: https://salsa.debian.org/debian-astro-team/iraf.git
 
 Package: iraf
-Architecture: any-amd64 any-i386 arm64 armel armhf mips64el mipsel ppc64el x32
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Architecture: any-amd64 any-i386 alpha arm64 armel armhf mips64el mipsel ppc64el riscv64 x32
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Recommends: iraf-noao,
-            python3-pyraf | x11iraf | xterm | python-pyraf,
-            saods9 | x11iraf
+            saods9 | ximtool,
+            xgterm | python3-pyraf | xterm
 Suggests: iraf-dev
 Multi-Arch: foreign
 Description: Image Reduction and Analysis Facility
@@ -39,9 +40,8 @@
  facility.
 
 Package: iraf-dev
-Architecture: any-amd64 any-i386 arm64 armel armhf mips64el mipsel ppc64el x32
-Multi-Arch: no
-Depends: gcc | c-compiler,
+Architecture: any-amd64 any-i386 alpha arm64 armel armhf mips64el mipsel ppc64el riscv64 x32
+Depends: gcc,
          iraf (= ${binary:Version}),
          libc6-dev,
          libcfitsio-dev,
@@ -62,8 +62,10 @@
  system and all applications are written.
 
 Package: iraf-noao
-Architecture: any-amd64 any-i386 arm64 armel armhf mips64el mipsel ppc64el x32
-Depends: iraf (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Architecture: any-amd64 any-i386 alpha arm64 armel armhf mips64el mipsel ppc64el riscv64 x32
+Depends: iraf (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Multi-Arch: foreign
 Description: IRAF NOAO data reduction package
  IRAF is the "Image Reduction and Analysis Facility". The main
@@ -76,8 +78,7 @@
  of Optical Astronomy data.
 
 Package: iraf-noao-dev
-Architecture: any-amd64 any-i386 arm64 armel armhf mips64el mipsel ppc64el x32
-Multi-Arch: no
+Architecture: any-amd64 any-i386 alpha arm64 armel armhf mips64el mipsel ppc64el riscv64 x32
 Depends: iraf-dev (= ${binary:Version}),
          iraf-noao (= ${binary:Version}),
          ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -7,15 +7,16 @@
 
 export iraf=$(CURDIR)/
 export host=$(iraf)unix/
-BUILD_TMP=$(iraf)/irafbuild
+BUILD_TMP=$(CURDIR)/irafbuild
 export HOME=$(BUILD_TMP)
 export IRAFARCH=$(shell ./unix/hlib/irafarch.sh)
+PATH:=$(BUILD_TMP)/bin:$(PATH)
 
 override_dh_auto_configure:
-	mkdir -p $(BUILD_TMP)
+	mkdir -p $(BUILD_TMP) $(BUILD_TMP)/bin
 	sed "s/__VERSION__/$(DEB_VERSION)/" -i unix/hlib/zzsetenv.def
 	sed "s/__DATE__/$(shell date -uRd @$(SOURCE_DATE_EPOCH))/" -i unix/hlib/zzsetenv.def
-	./install -v --term xterm \
+	./install --term xterm \
                   --bindir $(BUILD_TMP)/bin \
 	          --cache $(BUILD_TMP)/cache \
                   --imdir $(BUILD_TMP)/imdir \
@@ -25,6 +26,7 @@
 
 override_dh_auto_build:
 	bin=$(iraf)bin/ noaobin=$(iraf)/noao/bin/ $(MAKE) sysgen
+	bin=$(iraf)bin/ noaobin=$(iraf)/noao/bin/ bin/cl.e -f debian/precompile.cl
 
 override_dh_auto_install:
 	for f in $(shell find . -name \*.hlp \
@@ -40,6 +42,9 @@
             -o -name \*.mip \
             -o -name \*.fits \
 	    -o -path ./dev/\* | \
+	    fgrep -v ./.pc/ | \
+	    fgrep -v ./doc/ | \
+	    fgrep -v ./debian/ | \
 	    cut -c3-) \
 	    unix/hlib/motd* \
 	    lib/syserrmsg lib/syshelpdir lib/scr/help.html ; do \

=== debian/tests/control ===
Test-Command: ./test/run_tests test/*.md
Depends: @

=== debian/watch ===
version=3
#opts=dversionmangle=s/\+.+//,uversionmangle=s/(.)(.+)/$1.$2/ \
# https://iraf.noao.edu/ ftp://iraf.noao.edu/iraf/v(.+)/PCIX/iraf-src.tar.gz
opts=uversionmangle=s/-/+/,filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/iraf-$1\.tar\.gz/ \
  https://github.com/iraf-community/iraf/tags .*/v?(\d\S+)\.tar\.gz
